@media only screen and (min-width: 1200px) and (max-width: 1399px) {
    .banner_content {
        top: 100px !important;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    .banner_shape {
        width: 70% !important;
    }

    .banner_content {
        top: 114px !important;
    }

    .banner_info {
        left: 26px !important;
    }

    .banner_logo {
        width: 38% !important;
        padding-bottom: 8px !important;
    }

    .banner_info p {
        font-size: 19px !important;
        padding-bottom: 20px !important;
    }

    .banner_content a {
        width: 147px !important;
        font-size: 12px !important;
    }

    .slider-wrapper {
        margin-bottom: 50px !important;
    }

    .login_card {
        padding: 20px !important;
        max-width: 50% !important;
    }

    .reels_container {
        max-width: 100% !important;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav {
        gap: 17px !important;
    }

    .main_header a {
        font-size: 14px !important;
    }

    .banner_img {
        height: 400px !important;
        object-fit: cover !important;
    }

    .banner_shape {
        width: 64% !important;
    }

    .banner_content {
        top: 122px !important;
    }

    .banner_info {
        left: 4px !important;
    }

    .banner_logo {
        width: 35% !important;
        padding-bottom: 8px !important;
    }

    .banner_info p {
        font-size: 19px !important;
        padding-bottom: 15px !important;
    }

    .banner_content a {
        width: 147px !important;
        font-size: 12px !important;
    }

    .decoration_img {
        width: 65% !important;
    }

    .footer_content {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .login_card {
        padding: 20px !important;
        max-width: 70% !important;
    }
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
    .banner_info {
        color: var(--primary) !important;
        left: 0 !important;
        width: 242px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 70px !important;
    }

    .banner_img {
        width: 100% !important;
        object-fit: cover !important;
    }

    .banner_img {
        height: 330px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        padding-bottom: 19px !important;
        font-size: 20px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
    }

    .banner_content a {
        border: 3px solid #27514A !important;
        width: 178px !important;
        height: 39px !important;
        font-size: 14px !important;
        color: var(--primary) !important;
    }

    .decoration_img {
        width: 65% !important;
    }

    .gallery-tabs .tab {
        padding: 10px 16px !important;
        border-radius: 14px !important;
    }

    .gallery-header {
        margin-bottom: 28px !important;
    }

    .gallery {
        margin-bottom: 40px !important;
    }

    .gallery {
        grid-template-columns: repeat(3, 1fr) !important;
        grid-template-rows: auto !important;
    }

    .img_1 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .img_2 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .img_3 {
        grid-column: 1 / -1 !important;
        grid-row: auto !important;
    }

    .img_4 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .img_5 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
    }

}

@media only screen and (max-width: 576px) {
    .reels_container {
        max-width: 100% !important;
    }

    .banner_bg {
        margin-top: 0 !important;
    }

    .custom-slider .owl-nav .owl-prev {
        left: -47px !important;
    }

    .custom-slider .owl-nav .owl-next {
        right: -47px !important;
    }

    .devine_msg_text h2 {
        font-size: 28px;
    }

    .gallery-tabs {
        flex-wrap: wrap;
        justify-content: center;
    }

    .slider-wrapper {
        padding: 0px 15px 32px !important;
        margin-bottom: 0 !important;
    }

    .custom-slider .owl-nav {
        position: relative !important;
        display: flex !important;
        justify-content: center !important;
        gap: 20px !important;
        margin-top: 20px;
    }

    .custom-slider .owl-nav button {
        position: static !important;
        transform: none !important;
        font-size: 18px !important;
    }

    .custom-slider .owl-nav .owl-prev,
    .custom-slider .owl-nav .owl-next {
        left: auto !important;
        right: auto !important;
    }

    .comment_box {
        /*bottom: 0;*/
        /*transform: translate(-50%, 0);*/
        /*height: 60%;*/
        /*border-radius: 16px 16px 0 0;*/
        max-width: 100% !important;
    }

    .input_wrapper {
        /*gap: 5px !important;*/
        width: 90% !important;
    }

    .reel_actions {
        bottom: 20% !important;
    }

    .footer_content {
        grid-template-columns: 1fr !important;
    }

    .footer_bottom {
        flex-direction: column !important;
        text-align: center !important;
        gap: 10px !important;
    }

    .footer_links a {
        margin: 0 8px !important;
    }

    .about_title {
        font-size: 22px;
    }

    .decorative_img {
        width: 100% !important;
    }

    .video-thumbnail {
        height: 230px !important;
    }

    .login_card {
        padding: 20px !important;
        max-width: 100% !important;
        box-shadow: none !important;
        padding: 0 !important;
    }

    .login_card h2 {
        font-size: 20px !important;
    }

    .footer_content {
        gap: 10px !important;
    }

    .gallery_bigimg {
        margin: 0 !important;
    }
}

@media only screen and (min-width: 375px) and (max-width: 480px) {
    .banner_info {
        color: var(--primary) !important;
        left: 0 !important;
        width: 189px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 18px !important;
    }

    .banner_img {
        width: 100% !important;
        object-fit: cover !important;
    }

    .banner_img {
        height: 200px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        font-size: 15px !important;
        padding-bottom: 18px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
        width: 48% !important;
    }

    .banner_content a {
        border: 3px solid #27514A !important;
        width: 153px !important;
        height: 36px !important;
        font-size: 12px !important;
        color: var(--primary) !important;
    }

    .decoration_img {
        width: 80% !important;
    }

    .devine_msg_text h2 {
        font-size: 20px !important;
    }

    .live-darshan_text h2 {
        padding-bottom: 14px !important;
        font-size: 20px !important;
    }

    .live-darshan_text {
        padding-top: 30px !important;
    }

    .white_decoration {
        width: 80% !important;
    }

    .gallery-tabs .tab {
        padding: 7px 21px !important;
        border-radius: 13px !important;
        font-size: 12px !important;
    }

    .gallery-header {
        margin-bottom: 30px !important;
    }

    .gallery {
        margin-bottom: 35px !important;
        grid-template-columns: 1fr !important;
        gap: 12px !important;
    }

    .view-all {
        font-size: 12px !important;
    }

    .slider-card {

        /*height: 100% !important;*/
        /*width: 50% !important;*/
        display: flex !important;
        justify-content: center !important;
        padding: 7px !important;
    }

    .slider-card img {
        width: 100%;
        height: 100%;
        /* 👈 custom height */
        object-fit: cover;
    }

    .custom-slider.owl-drag .owl-item {
        display: flex !important;
        justify-content: center !important;
    }

    .gallery > div {
        grid-column: auto !important;
        grid-row: auto !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px !important;
    }
    .otp_box input{
        width: 50px !important;
        height: 50px !important;
    }
}

@media only screen and (min-width: 320px) and (max-width: 991px) {
    /*.gallery {*/
    /*    grid-template-columns: repeat(3, 1fr) !important;*/
    /*    grid-template-rows: auto !important;*/
    /*}*/
    .div1 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .div2 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }

    .div3 {
        grid-column: 1 / -1 !important;
        grid-row: auto !important;
    }

    .div4 {
        grid-column: 1 !important;
        grid-row: auto !important;
    }

    .div5 {
        grid-column: 2 !important;
        grid-row: auto !important;
    }
}

@media only screen and (min-width: 320px) and (max-width: 374px) {

    .banner_info {
        color: var(--primary) !important;
        left: 0 !important;
        width: 163px !important;
    }

    .banner_logo {
        padding-bottom: 15px !important;
    }

    .banner_content {
        top: 18px !important;
    }

    .banner_img {
        /*height: 450px !important;*/
        width: 100% !important;
        object-fit: cover !important;
    }

    .banner_img {
        height: 200px !important;
        object-fit: cover !important;
    }

    .banner_info p {
        font-size: 14px !important;
        padding-bottom: 18px !important;
    }

    .green_logo {
        padding-bottom: 13px !important;
        width: 56% !important;
    }

    .banner_content a {
        border: 3px solid #27514A !important;
        width: 145px !important;
        height: 35px !important;
        font-size: 11px !important;
        color: var(--primary) !important;
    }

    .decoration_img {
        width: 75% !important;
    }

    .devine_msg_text h2 {
        font-size: 18px !important;
        padding-top: 8px !important;
    }

    .live-darshan_text h2 {
        padding-bottom: 14px !important;
        font-size: 20px !important;
    }

    .live-darshan_text img {
        padding-bottom: 12px !important;
    }

    .white_decoration {
        width: 75% !important;
    }

    .live-darshan_text {
        padding-top: 22px !important;
    }

    .gallery-tabs .tab {
        padding: 7px 21px !important;
        border-radius: 13px !important;
        font-size: 12px !important;
    }

    .gallery-header {
        margin-bottom: 30px !important;
    }

    .gallery {
        margin-bottom: 35px !important;
    }

    .view-all {
        font-size: 12px !important;
    }

    .devine_msg_text {
        padding-top: 20px !important;
    }


    .slider-card {
        /*height: 100% !important;*/
        /*width: 62% !important;*/
        display: flex !important;
        justify-content: center !important;
        padding: 6px !important;
    }

    .slider-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .otp_box input{
        width: 50px !important;
        height: 50px !important;
    }
    /*.owl-carousel.owl-drag .owl-item {*/
    /*    !*display: flex !important;*!*/
    /*    justify-content: center !important;*/
    /*}*/
    .gallery {
        grid-template-columns: 1fr !important;
        gap: 12px !important;
    }

    .gallery > div {
        grid-column: auto !important;
        grid-row: auto !important;
    }

    .ticker-content {
        font-size: 12px !important;
    }

    .ticker-wrapper {
        padding: 9px 0 !important;
    }

    .videos-main {
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px !important;
    }

    .view-all {
        bottom: 0 !important;
    }

    .comment_box {
        /*bottom: 0;*/
        /*transform: translate(-50%, 0);*/
        /*height: 60%;*/
        /*border-radius: 16px 16px 0 0;*/
        max-width: 100% !important;
    }
}